Package org.eclipse.lemminx.extensions.contentmodel.participants.diagnostics

## Class LSPXMLGrammarPool.Entry

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.diagnostics.LSPXMLGrammarPool.Entry

Enclosing class:
  LSPXMLGrammarPool

    protected static final class LSPXMLGrammarPool.Entry
    extends Object

This class is a grammar pool entry. Each entry acts as a node in a linked list.

### Field Summary

Fields
`org.apache.xerces.xni.grammars.XMLGrammarDescription` `desc`
`org.apache.xerces.xni.grammars.Grammar` `grammar`
`int` `hash`
`String` `internalSubset`
`LSPXMLGrammarPool.Entry` `next`

### Constructor Summary

Constructors
`protected` `Entry​(int hash, org.apache.xerces.xni.grammars.XMLGrammarDescription desc, org.apache.xerces.xni.grammars.Grammar grammar, LSPXMLGrammarPool.Entry next)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `clear()`
`boolean` `isDirty()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### hash

    public int hash

#### desc

    public org.apache.xerces.xni.grammars.XMLGrammarDescription desc

#### grammar

    public org.apache.xerces.xni.grammars.Grammar grammar

#### next

    public LSPXMLGrammarPool.Entry next

#### internalSubset

    public String internalSubset

### Constructor Detail

#### Entry

    protected Entry​(int hash,
                    org.apache.xerces.xni.grammars.XMLGrammarDescription desc,
                    org.apache.xerces.xni.grammars.Grammar grammar,
                    LSPXMLGrammarPool.Entry next)

### Method Detail

#### isDirty

    public boolean isDirty()

#### clear

    protected void clear()